defaults = {
    'apt': {
        'packages': {
            'influxdb2': {
                'needs': {
                    'zfs_dataset:tank/influxdb2',
                },
            },
        },
        'repos': {
            'influxdb': {
                'items': {
                    'deb https://repos.influxdata.com/{os} stable main',
                },
            },
        },
    },
    'backups': {
        'paths': {
            '/var/lib/influxdb',
        },
    },
    'icinga2_api': {
        'telegraf': {
            'services': {
                'INFLUXDB PROCESS': {
                    'command_on_monitored_host': '/usr/lib/nagios/plugins/check_procs -C influxd -c 1:',
                },
            },
        },
    },
    'zfs': {
        'datasets': {
            'tank/influxdb2': {
                'mountpoint': '/var/lib/influxdb',
                'atime': 'off',
            },
        },
    },
}
