defaults = {
    'apt': {
        'packages': {
            # for paperless itself
            'fonts-liberation': {},
            'gnupg': {},
            'imagemagick': {},
            'libmagic-dev': {},
            'libpq-dev': {},
            'mime-support': {},
            'optipng': {},
            'python3-wheel': {},

            # for OCRmyPDF
            'ghostscript': {},
            'icc-profiles-free': {},
            'liblept5': {},
            'libxml2': {},
            'pngquant': {},
            'qpdf': {},
            'tesseract-ocr': {},
            'unpaper': {},
            'zlib1g': {},
        },
    },
    'backups': {
        'paths': {
            '/mnt/paperless',
        },
    },
    'postgresql': {
        'roles': {
            'paperless': {
                'password': repo.vault.password_for(f'{node.name} postgresql paperless'),
            },
        },
        'databases': {
            'paperless': {
                'owner': 'paperless',
            },
        },
    },
}

@metadata_reactor.provides(
    'apt/packages',
)
def paperless_tesseract_languages(metadata):
    packages = {}

    for lang in metadata.get('paperless/ocr_languages', {'deu', 'eng'}):
        packages[f'tesseract-ocr-{lang}'] = {}

    return {
        'apt': {
            'packages': packages,
        },
    }
